summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-08-02 16:47:32 +0300
committerMart Raudsepp <leio@gentoo.org>2018-08-02 16:47:56 +0300
commit6474ad574d6465d52a51d044246bdad0e5788835 (patch)
tree385d18cab92cee2072eae39a7f9ba78dc6e525d0 /net-libs/gtk-vnc
parentwww-apps/drupal: Drop vulnerable versions. (diff)
downloadgentoo-6474ad574d6465d52a51d044246bdad0e5788835.tar.gz
gentoo-6474ad574d6465d52a51d044246bdad0e5788835.tar.bz2
gentoo-6474ad574d6465d52a51d044246bdad0e5788835.zip
net-libs/gtk-vnc: bump to 0.8.0
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'net-libs/gtk-vnc')
-rw-r--r--net-libs/gtk-vnc/Manifest1
-rw-r--r--net-libs/gtk-vnc/gtk-vnc-0.8.0.ebuild68
2 files changed, 69 insertions, 0 deletions
diff --git a/net-libs/gtk-vnc/Manifest b/net-libs/gtk-vnc/Manifest
index 127f1d5b52e..db90f8a2703 100644
--- a/net-libs/gtk-vnc/Manifest
+++ b/net-libs/gtk-vnc/Manifest
@@ -1 +1,2 @@
DIST gtk-vnc-0.7.2.tar.xz 447088 BLAKE2B 539cc9214735cf73c6e578029b33892c3e2d0d1dc402f82fa6d8d107c9a410e551020d9201192b69e50b75bb8297919ab0961752251dcf0bd75823d7426e01b5 SHA512 b95b1da6ff512c466feaa6efc831e9c36c5a77390b518c647c60fddda9dd850eea8658174682ae135b95bfca7bf2b4e85a5e5ac9adb43e3ddd7aa690288655ce
+DIST gtk-vnc-0.8.0.tar.xz 448984 BLAKE2B e9de98a969297832ff6eaba79707a44494b20d944264ac6902596f882b95e8ab1bc6b7eb25e040d17f939d678a81eec730f983942db38d73c81751fc2afd45df SHA512 9b66e4028e56b01af8d0ded5b833fc6c0ba752ac72cd664293b0009868bbec0bc8750b619ece9786eddc06155e390ecccc4c5bc84717c49ac4bd866e6febd8e3
diff --git a/net-libs/gtk-vnc/gtk-vnc-0.8.0.ebuild b/net-libs/gtk-vnc/gtk-vnc-0.8.0.ebuild
new file mode 100644
index 00000000000..d974182179d
--- /dev/null
+++ b/net-libs/gtk-vnc/gtk-vnc-0.8.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+GNOME2_LA_PUNT="yes"
+VALA_MIN_API_VERSION="0.16"
+
+inherit vala gnome2 python-any-r1
+
+DESCRIPTION="VNC viewer widget for GTK"
+HOMEPAGE="https://wiki.gnome.org/Projects/gtk-vnc"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="examples +introspection pulseaudio sasl vala"
+REQUIRED_USE="
+ vala? ( introspection )
+"
+
+# libview is used in examples/gvncviewer -- no need
+# glib-2.30.1 needed to avoid linking failure due to .la files (bug #399129)
+RDEPEND="
+ >=dev-libs/glib-2.30.1:2
+ >=dev-libs/libgcrypt-1.4.2:0=
+ dev-libs/libgpg-error
+ >=net-libs/gnutls-3.0:0=
+ >=x11-libs/cairo-1.2
+ x11-libs/libX11
+ >=x11-libs/gtk+-3.0.0:3[introspection?]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.4:= )
+ pulseaudio? ( media-sound/pulseaudio )
+ sasl? ( dev-libs/cyrus-sasl )
+"
+# Keymap databases code is generated with python3; configure picks up $PYTHON exported from python-any-r1_pkg_setup
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ >=dev-lang/perl-5
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+ vala? (
+ $(vala_depend)
+ >=dev-libs/gobject-introspection-0.9.4 )
+"
+# eautoreconf requires gnome-common
+
+src_prepare() {
+ vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf=(
+ $(use_with examples)
+ $(use_enable introspection)
+ $(use_with pulseaudio)
+ $(use_with sasl)
+ --with-coroutine=gthread
+ --without-libview
+ --disable-static
+ --disable-vala
+ --with-gtk=3.0
+ )
+
+ gnome2_src_configure ${myconf[@]}
+}